%global namedreltag -beta1
%global namedversion %{version}%{?namedreltag}
%global with_maven 1
Name:          barbecue
Version:       1.5
Release:       %mkrel 0
Summary:       Java barcode generator 
Group:         Development/Java
License:       BSD
Url:           http://barbecue.sourceforge.net/
Source0:       http://sourceforge.net/projects/barbecue/files/barbecue/%{namedversion}/barbecue-%{namedversion}-src.tar.gz
Source1:       http://repo1.maven.org/maven2/net/sourceforge/barbecue/barbecue/%{namedversion}/barbecue-%{namedversion}.pom
#Patch0:        ...
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jdom
BuildRequires: portlet-2.0-api
BuildRequires: servletapi4

%if !%with_maven
BuildRequires: ant
BuildRequires: ant-commons-net
BuildRequires: ant-jsch
BuildRequires: ant-junit
BuildRequires: apache-commons-net
BuildRequires: jsch
BuildRequires: junit
%else
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
%endif

Requires:      jdom
Requires:      portlet-2.0-api
Requires:      servletapi4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Barbecue is a Java library that enables the
creation of barcodes in a variety of standard formats
that can be displayed as Swing/AWT components,
included in printed output, generated as EPS
and SVG and displayed in a web application.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n barbecue-%{namedversion}

for f in $(find . -name "*.jar"); do
 mv $f $f.no
done

%if !%with_maven
ln -sf $(build-classpath jdom) lib/runtime/jdom.jar

pushd lib/compile
	ln -sf $(build-classpath junit) junit.jar
	ln -sf $(build-classpath portlet-2.0-api) portlet-api-2.0-prerelease.jar
	ln -sf $(build-classpath servletapi4) servletapi-2.2.jar
popd

pushd tools/lib
	ln -sf $(build-classpath ant) ant.jar
	ln -sf $(build-classpath ant/ant-commons-net) ant-commons-net.jar
	ln -sf $(build-classpath ant/ant-jsch) ant-jsch.jar
	ln -sf $(build-classpath ant/ant-junit) ant-junit.jar
	ln -sf $(build-classpath ant) ant-launcher.jar
	ln -sf $(build-classpath commons-net) commons-net-1.1.0.jar
	ln -sf $(build-classpath jsch) jsch-20031124.jar
	ln -sf $(build-classpath junit) junit.jar
popd

%endif

find . -name '*.class' -exec rm -rf {} \;

%build

%if !%with_maven
	ant jar javadoc
%else
	mvn-rpmbuild -e install javadoc:aggregate
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
%if !%with_maven
	install -m 644 build/dist/%{name}-%{namedversion}.jar \
		%{buildroot}%{_javadir}/%{name}.jar
%else
	install -m 644 target/%{name}-%{namedversion}.jar \
		%{buildroot}%{_javadir}/%{name}.jar
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if !%with_maven
	cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}
%else
	cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt todo.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Oct 27 2011 gil <gil> 1.5-0.mga2
+ Revision: 158535
- fix portlet api version
- imported package barbecue

